Ellipsis

SpreadJS supports displaying text ellipsis in spreadsheet cells when their content extends beyond the bounds of a cell.

A simple JavaScript property showEllipsis controls this behavior, which is one of the many style settings that can be changed in the following demo. Try selecting a cell and changing the properties on the right side to see how the cell style changes. When the text longer than column width, if you want to show text ellipsis, not overflow. You can create a style and set a rotation using textOrientation as follows: Replace undisplayed text with '…'. The following points affect whether the text shows ellipsis: Indent Vertical text Alignment Padding Outline column
window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 1 }); initSpread(spread); }; function initSpread(spread) { spread.fromJSON(data); var sheet = spread.getActiveSheet(); document.getElementById('HAlign0').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); style.hAlign = 0; sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('HAlign1').onclick= function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); style.hAlign = 1; sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('HAlign2').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); style.hAlign = 2; sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('VAlign0').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); style.vAlign = 0; sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('VAlign1').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); style.vAlign = 1; sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('VAlign2').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); style.vAlign = 2; sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('IndentUp').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); if (!isNaN(parseInt(style.textIndent))) { style.textIndent = (parseInt(style.textIndent) + 1) + ""; } else if (style.textIndent === undefined) { style.textIndent = '1'; } sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('IndentDwon').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); if (!isNaN(parseInt(style.textIndent)) && parseInt(style.textIndent) > 0) { style.textIndent = (parseInt(style.textIndent) - 1) + ""; } sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('Vertical').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); style.isVerticalText = true; style.textOrientation = 0; sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('Normal').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); style.isVerticalText = undefined; style.textOrientation = undefined; sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('SetPadding').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); style.cellPadding = document.getElementById('Top').value + ' ' + document.getElementById('Right').value + ' ' +document.getElementById('Bottom').value + ' '+document.getElementById('Left').value; sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('ShowEllipsis').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); style.showEllipsis = true; sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; document.getElementById('RemoveEllipsis').onclick = function () { var style = sheet.getActualStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex()); style.showEllipsis = undefined; sheet.setStyle(sheet.getActiveRowIndex(), sheet.getActiveColumnIndex(), style); }; }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@grapecity/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/data/ellipsis.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" class="sample-spreadsheets"></div> <div class="options-container"> <div class="option-row"> <label id="Text Oriention" for="textOriention">Show Ellipsis:</label> <input type="button" value="Show" id="ShowEllipsis" /> <input type="button" value="Remove" id="RemoveEllipsis" /> </div> <div class="option-row"> <label id="Text Oriention" for="textOriention">HAlign:</label> <input type="button" value="Left" id="HAlign0" /> <input type="button" value="Center" id="HAlign1" /><br> <input type="button" value="Right" id="HAlign2" /> </div> <div class="option-row"> <label id="Text Oriention" for="textOriention">VAlign:</label> <input type="button" value="Top" id="VAlign0" /> <input type="button" value="Center" id="VAlign1" /><br> <input type="button" value="Bottom" id="VAlign2" /> </div> <div class="option-row"> <label id="Text Oriention" for="textOriention">Indent:</label> <input type="button" value="Increase" id="IndentUp" /> <input type="button" value="Decrease" id="IndentDwon" /> </div> <div class="option-row"> <label id="Text Oriention" for="textOriention">Vertical Text:</label> <input type="button" value="Vertical" id="Vertical" /> <input type="button" value="Normal" id="Normal" /> </div> <div class="option-row"> <label id="Text Oriention" for="textOriention">Padding:</label> <table> <tr> <td> <label class="paddingLabel1">Top:</label><input class="paddingInput1" id="Top" type="number"/><br> </td> <td> <label class="paddingLabel1">Right:</label><input class="paddingInput1" id="Right" type="number"/><br> </td> </tr> <tr> <td> <label class="paddingLabel1">Bottom:</label><input class="paddingInput1" id="Bottom" type="number"/><br> </td> <td> <label class="paddingLabel1">Left:</label><input class="paddingInput1" id="Left" type="number"/> </td> </tr> </table> <input style="margin-left: 117px;" id="SetPadding" type="button" value="Set"/> </div> </div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: calc(100% - 280px); height: 100%; overflow: hidden; float: left; } .options-container { float: right; width: 280px; padding: 12px; height: 100%; box-sizing: border-box; background: #fbfbfb; overflow: auto; } input { width: 100px; } .option-row { font-size: 14px; padding: 5px; } label { display: block; padding-bottom: 5px; } input { padding: 4px 6px; margin-bottom: 6px; margin-right: 10px; } .paddingLabel { width: 113px; display: inline-block; text-align: center; } .paddingLabel1 { width: 50px; /* display: inline-block; */ } .paddingInput { width: 84px; } .paddingInput1 { width: 84px; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

A simple JavaScript property showEllipsis controls this behavior, which is one of the many style settings that can be changed in the following demo.
Try selecting a cell and changing the properties on the right side to see how the cell style changes.
When the text longer than column width, if you want to show text ellipsis, not overflow.
You can create a style and set a rotation using textOrientation as follows:
Replace undisplayed text with '…'.
The following points affect whether the text shows ellipsis:
Indent
Vertical text
Alignment
Padding
Outline column
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import { SpreadSheets } from '@mescius/spread-sheets-react';
let spread = null;
let sheet = null;
export function AppFunc() {
const [textPadding, setTextPadding] = React.useState({
top: 0,
left: 0,
right: 0,
bottom: 0
});
const hAlingLeft = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
style.hAlign = 0;
sheet.setStyle(acRow, acCol, style);
}
const hAlingCenter = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
style.hAlign = 1;
sheet.setStyle(acRow, acCol, style);
}
const hAlingRight = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
style.hAlign = 2;
sheet.setStyle(acRow, acCol, style);
}
const vAlingTop = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
style.vAlign = 0;
sheet.setStyle(acRow, acCol, style);
}
const vAlingCenter = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
style.vAlign = 1;
sheet.setStyle(acRow, acCol, style);
}
const vAlingBottom = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
style.vAlign = 2;
sheet.setStyle(acRow, acCol, style);
}
const indentUp = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
if (!isNaN(parseInt(style.textIndent))) {
style.textIndent = (parseInt(style.textIndent) + 1) + "";
} else if (style.textIndent === undefined) {
style.textIndent = '1';
}
sheet.setStyle(acRow, acCol, style);
}
const indentDwon = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
if (!isNaN(parseInt(style.textIndent)) && parseInt(style.textIndent) > 0) {
style.textIndent = (parseInt(style.textIndent) - 1) + "";
}
sheet.setStyle(acRow, acCol, style);
}
const vertical = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
style.isVerticalText = true;
style.textOrientation = 0;
sheet.setStyle(acRow, acCol, style);
}
const normal = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
style.isVerticalText = undefined;
style.textOrientation = undefined;
sheet.setStyle(acRow, acCol, style);
}
const setPadding = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
style.cellPadding = textPadding.top + ' ' + textPadding.right + ' ' + textPadding.bottom + ' ' + textPadding.left;
sheet.setStyle(acRow, acCol, style);
}
const showEllipsis = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
style.showEllipsis = true;
sheet.setStyle(acRow, acCol, style);
}
const hideEllipsis = () => {
let acRow = sheet.getActiveRowIndex(), acCol = sheet.getActiveColumnIndex();
var style = sheet.getActualStyle(acRow, acCol);
style.showEllipsis = undefined;
sheet.setStyle(acRow, acCol, style);
}
const paddingTop = (e) => {
let value = parseInt(e.target.value);
setTextPadding({ ...textPadding, top: value });
}
const paddingRight = (e) => {
let value = parseInt(e.target.value);
setTextPadding({ ...textPadding, right: value });
}
const paddingBottom = (e) => {
let value = parseInt(e.target.value);
setTextPadding({ ...textPadding, bottom: value });
}
const paddingTLeft = (e) => {
let value = parseInt(e.target.value);
setTextPadding({ ...textPadding, left: value});
}
const initSpread = (currSpread) => {
spread = currSpread;
spread.fromJSON(data);
sheet = spread.getActiveSheet();
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={initSpread}>
</SpreadSheets>
</div>
<Panel
showEllipsis={showEllipsis} hideEllipsis={hideEllipsis} hAlingLeft={hAlingLeft}
hAlingCenter={hAlingCenter} hAlingRight={hAlingRight} vAlingTop={vAlingTop}
vAlingCenter={vAlingCenter} vAlingBottom={vAlingBottom} indentUp={indentUp}
indentDwon={indentDwon} vertical={vertical} normal={normal} paddingTop={paddingTop}
paddingTLeft={paddingTLeft} paddingRight={paddingRight} paddingBottom={paddingBottom} setPadding={setPadding}
panelInfo={textPadding}
></Panel>
</div>
);
}
const Panel = (props) => {
const { showEllipsis, hideEllipsis, hAlingLeft, hAlingCenter, hAlingRight, vAlingTop, vAlingCenter, vAlingBottom,
indentUp, indentDwon, vertical, normal, panelInfo, paddingTop, paddingRight, paddingBottom, paddingTLeft, setPadding } = props;
return (
<div class="options-container">
<div class="option-row">
<label id="Text Oriention" for="textOriention">Show Ellipsis:</label>
<input type="button" value="Show" id="ShowEllipsis" onClick={showEllipsis} />
<input type="button" value="Remove" id="RemoveEllipsis" onClick={hideEllipsis} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">HAlign:</label>
<input type="button" value="Left" id="HAlign0" onClick={hAlingLeft} />
<input type="button" value="Center" id="HAlign1" onClick={hAlingCenter} />
<input type="button" value="Right" id="HAlign2" onClick={hAlingRight} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">VAlign:</label>
<input type="button" value="Top" id="VAlign0" onClick={vAlingTop} />
<input type="button" value="Center" id="VAlign1" onClick={vAlingCenter} />
<input type="button" value="Bottom" id="VAlign2" onClick={vAlingBottom} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Indent:</label>
<input type="button" value="Increase" id="IndentUp" onClick={indentUp} />
<input type="button" value="Decrease" id="IndentDwon" onClick={indentDwon} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Vertical Text:</label>
<input type="button" value="Vertical" id="Vertical" onClick={vertical} />
<input type="button" value="Normal" id="Normal" onClick={normal} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Padding:</label>
<table>
<tr>
<td>
<label class="paddingLabel1">Top:</label><input value={panelInfo.top} class="paddingInput1" id="Top" type="number" onChange={paddingTop} />
</td>
<td>
<label class="paddingLabel1">Right:</label><input value={panelInfo.right} class="paddingInput1" id="Right" type="number" onChange={paddingRight} />
</td>
</tr>
<tr>
<td>
<label class="paddingLabel1">Bottom:</label><input value={panelInfo.bottom} class="paddingInput1" id="Bottom" type="number" onChange={paddingBottom} />
</td>
<td>
<label class="paddingLabel1">Left:</label><input value={panelInfo.left} class="paddingInput1" id="Left" type="number" onChange={paddingTLeft} />
</td>
</tr>
</table>
<input style={{ marginLeft: '117px' }} id="SetPadding" type="button" value="Set" onClick={setPadding} />
</div>
</div>
)
}
import * as React from 'react';
import { SpreadSheets } from '@mescius/spread-sheets-react';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.sheet = null;
this.state = {
top: 0,
left: 0,
right: 0,
bottom: 0
}
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
</SpreadSheets>
</div>
<Panel
showEllipsis={() => { this.showEllipsis() }} hideEllipsis={() => { this.hideEllipsis() }} hAlingLeft={() => { this.hAlingLeft() }}
hAlingCenter={() => { this.hAlingCenter() }} hAlingRight={() => { this.hAlingRight() }} vAlingTop={() => { this.vAlingTop() }}
vAlingCenter={() => { this.vAlingCenter() }} vAlingBottom={() => { this.vAlingBottom() }} indentUp={() => { this.indentUp() }}
indentDwon={() => { this.indentDwon() }} vertical={() => { this.vertical() }} normal={() => { this.normal() }} paddingTop={(e) => { this.paddingTop(e) }}
paddingTLeft={(e) => { this.paddingTLeft(e) }} paddingRight={(e) => { this.paddingRight(e) }} paddingBottom={(e) => { this.paddingBottom(e) }} setPadding={() => { this.setPadding() }}
panelInfo={this.state}
></Panel>
</div>
)
}
hAlingLeft() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.hAlign = 0;
this.sheet.setStyle(acRow, acCol, style);
}
hAlingCenter() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.hAlign = 1;
this.sheet.setStyle(acRow, acCol, style);
}
hAlingRight() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.hAlign = 2;
this.sheet.setStyle(acRow, acCol, style);
}
vAlingTop() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.vAlign = 0;
this.sheet.setStyle(acRow, acCol, style);
}
vAlingCenter() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.vAlign = 1;
this.sheet.setStyle(acRow, acCol, style);
}
vAlingBottom() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.vAlign = 2;
this.sheet.setStyle(acRow, acCol, style);
}
indentUp() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
if (!isNaN(parseInt(style.textIndent))) {
style.textIndent = (parseInt(style.textIndent) + 1) + "";
} else if (style.textIndent === undefined) {
style.textIndent = '1';
}
this.sheet.setStyle(acRow, acCol, style);
}
indentDwon() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
if (!isNaN(parseInt(style.textIndent)) && parseInt(style.textIndent) > 0) {
style.textIndent = (parseInt(style.textIndent) - 1) + "";
}
this.sheet.setStyle(acRow, acCol, style);
}
vertical() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.isVerticalText = true;
style.textOrientation = 0;
this.sheet.setStyle(acRow, acCol, style);
}
normal() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.isVerticalText = undefined;
style.textOrientation = undefined;
this.sheet.setStyle(acRow, acCol, style);
}
setPadding() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.cellPadding = this.state.top + ' ' + this.state.right + ' ' + this.state.bottom + ' ' + this.state.left;
this.sheet.setStyle(acRow, acCol, style);
}
showEllipsis() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.showEllipsis = true;
this.sheet.setStyle(acRow, acCol, style);
}
hideEllipsis() {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.showEllipsis = undefined;
this.sheet.setStyle(acRow, acCol, style);
}
paddingTop(e) {
let value = parseInt(e.target.value);
this.setState(() => ({
top: value
}));
}
paddingRight(e) {
let value = parseInt(e.target.value);
this.setState(() => ({
right: value
}));
}
paddingBottom(e) {
let value = parseInt(e.target.value);
this.setState(() => ({
bottom: value
}));
}
paddingTLeft(e) {
let value = parseInt(e.target.value);
this.setState(() => ({
left: value
}));
}
initSpread(spread) {
this.spread = spread;
spread.fromJSON(data);
this.sheet = spread.getActiveSheet();
}
}
const Panel = (props) => {
const { showEllipsis, hideEllipsis, hAlingLeft, hAlingCenter, hAlingRight, vAlingTop, vAlingCenter, vAlingBottom,
indentUp, indentDwon, vertical, normal, panelInfo, paddingTop, paddingRight, paddingBottom, paddingTLeft, setPadding } = props;
return (
<div class="options-container">
<div class="option-row">
<label id="Text Oriention" for="textOriention">Show Ellipsis:</label>
<input type="button" value="Show" id="ShowEllipsis" onClick={() => { showEllipsis() }} />
<input type="button" value="Remove" id="RemoveEllipsis" onClick={() => { hideEllipsis() }} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">HAlign:</label>
<input type="button" value="Left" id="HAlign0" onClick={() => { hAlingLeft() }} />
<input type="button" value="Center" id="HAlign1" onClick={() => { hAlingCenter() }} />
<input type="button" value="Right" id="HAlign2" onClick={() => { hAlingRight() }} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">VAlign:</label>
<input type="button" value="Top" id="VAlign0" onClick={() => { vAlingTop() }} />
<input type="button" value="Center" id="VAlign1" onClick={() => { vAlingCenter() }} />
<input type="button" value="Bottom" id="VAlign2" onClick={() => { vAlingBottom() }} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Indent:</label>
<input type="button" value="Increase" id="IndentUp" onClick={() => { indentUp() }} />
<input type="button" value="Decrease" id="IndentDwon" onClick={() => { indentDwon() }} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Vertical Text:</label>
<input type="button" value="Vertical" id="Vertical" onClick={() => { vertical() }} />
<input type="button" value="Normal" id="Normal" onClick={() => { normal() }} />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Padding:</label>
<table>
<tr>
<td>
<label class="paddingLabel1">Top:</label><input value={panelInfo.top} class="paddingInput1" id="Top" type="number" onChange={(e) => { paddingTop(e) }} />
</td>
<td>
<label class="paddingLabel1">Right:</label><input value={panelInfo.right} class="paddingInput1" id="Right" type="number" onChange={(e) => { paddingRight(e) }} />
</td>
</tr>
<tr>
<td>
<label class="paddingLabel1">Bottom:</label><input value={panelInfo.bottom} class="paddingInput1" id="Bottom" type="number" onChange={(e) => { paddingBottom(e) }} />
</td>
<td>
<label class="paddingLabel1">Left:</label><input value={panelInfo.left} class="paddingInput1" id="Left" type="number" onChange={(e) => { paddingTLeft(e) }} />
</td>
</tr>
</table>
<input style={{ marginLeft: '117px' }} id="SetPadding" type="button" value="Set" onClick={() => { setPadding() }} />
</div>
</div>
)
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="$DEMOROOT$/spread/source/data/ellipsis.js" type="text/javascript"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
input {
width: 100px;
}
.option-row {
font-size: 14px;
padding: 5px;
}
label {
display: block;
padding-bottom: 5px;
}
input {
padding: 4px 6px;
margin-bottom: 6px;
margin-right: 10px;
}
.paddingLabel {
width: 113px;
display: inline-block;
text-align: center;
}
.paddingLabel1 {
width: 50px;
/* display: inline-block; */
}
.paddingInput {
width: 84px;
}
.paddingInput1 {
width: 84px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

A simple JavaScript property showEllipsis controls this behavior, which is one of the many style settings that can be changed in the following demo.
Try selecting a cell and changing the properties on the right side to see how the cell style changes.
When the text longer than column width, if you want to show text ellipsis, not overflow.
You can create a style and set a rotation using textOrientation as follows:
Replace undisplayed text with '…'.
The following points affect whether the text shows ellipsis:
Indent
Vertical text
Alignment
Padding
Outline column
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label id="Text Oriention" for="textOriention">Show Ellipsis:</label>
<input type="button" value="Show" id="ShowEllipsis" v-on:click="showEllipsis" />
<input type="button" value="Remove" id="RemoveEllipsis" v-on:click="hideEllipsis" />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">HAlign:</label>
<input type="button" value="Left" id="HAlign0" v-on:click="hAlingLeft" />
<input type="button" value="Center" id="HAlign1" v-on:click="hAlingCenter" /><br>
<input type="button" value="Right" id="HAlign2" v-on:click="hAlingRight" />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">VAlign:</label>
<input type="button" value="Top" id="VAlign0" v-on:click="vAlingTop" />
<input type="button" value="Center" id="VAlign1" v-on:click="vAlingCenter" /><br>
<input type="button" value="Bottom" id="VAlign2" v-on:click="vAlingBottom" />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Indent:</label>
<input type="button" value="Increase" id="IndentUp" v-on:click="indentUp" />
<input type="button" value="Decrease" id="IndentDwon" v-on:click="indentDwon" />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Vertical Text:</label>
<input type="button" value="Vertical" id="Vertical" v-on:click="vertical" />
<input type="button" value="Normal" id="Normal" v-on:click="normal" />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Padding:</label>
<table>
<tr>
<td>
<label class="paddingLabel1">Top:</label><input v-model="top" class="paddingInput1" id="Top" type="number"
v-on:change="paddingTop" /><br>
</td>
<td>
<label class="paddingLabel1">Right:</label><input v-model="right" class="paddingInput1" id="Right"
type="number" v-on:change="paddingRight" /><br>
</td>
</tr>
<tr>
<td>
<label class="paddingLabel1">Bottom:</label><input v-model="bottom" class="paddingInput1" id="Bottom"
type="number" v-on:change="paddingBottom" /><br>
</td>
<td>
<label class="paddingLabel1">Left:</label><input v-model="left" class="paddingInput1" id="Left"
type="number" v-on:change="paddingTLeft" />
</td>
</tr>
</table>
<input style="margin-left: 117px;" id="SetPadding" type="button" value="Set" v-on:click="setPadding" />
</div>
</div>
</div>
</template>
<script setup>
import { ref } from 'vue';
import '@mescius/spread-sheets-vue';
import GC from '@mescius/spread-sheets';
const spread = ref(null);
const sheet = ref(null);
const top = ref(0);
const left = ref(0);
const right = ref(0);
const bottom = ref(0);
const hAlingLeft = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
style.hAlign = 0;
sheet.value.setStyle(acRow, acCol, style);
};
const hAlingCenter = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
style.hAlign = 1;
sheet.value.setStyle(acRow, acCol, style);
};
const hAlingRight = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
style.hAlign = 2;
sheet.value.setStyle(acRow, acCol, style);
};
const vAlingTop = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
style.vAlign = 0;
sheet.value.setStyle(acRow, acCol, style);
};
const vAlingCenter = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
style.vAlign = 1;
sheet.value.setStyle(acRow, acCol, style);
};
const vAlingBottom = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
style.vAlign = 2;
sheet.value.setStyle(acRow, acCol, style);
};
const indentUp = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
if (!isNaN(parseInt(style.textIndent))) {
style.textIndent = (parseInt(style.textIndent) + 1) + "";
} else if (style.textIndent === undefined) {
style.textIndent = '1';
}
sheet.value.setStyle(acRow, acCol, style);
};
const indentDwon = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
if (!isNaN(parseInt(style.textIndent)) && parseInt(style.textIndent) > 0) {
style.textIndent = (parseInt(style.textIndent) - 1) + "";
}
sheet.value.setStyle(acRow, acCol, style);
};
const vertical = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
style.isVerticalText = true;
style.textOrientation = 0;
sheet.value.setStyle(acRow, acCol, style);
};
const normal = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
style.isVerticalText = undefined;
style.textOrientation = undefined;
sheet.value.setStyle(acRow, acCol, style);
};
const setPadding = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
style.cellPadding = top.value + ' ' + right.value + ' ' + bottom.value + ' ' + left.value;
sheet.value.setStyle(acRow, acCol, style);
};
const showEllipsis = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
style.showEllipsis = true;
sheet.value.setStyle(acRow, acCol, style);
};
const hideEllipsis = () => {
let acRow = sheet.value.getActiveRowIndex(), acCol = sheet.value.getActiveColumnIndex();
var style = sheet.value.getActualStyle(acRow, acCol);
style.showEllipsis = undefined;
sheet.value.setStyle(acRow, acCol, style);
};
const paddingTop = (e) => {
let value = parseInt(e.target.value);
top.value = value;
};
const paddingRight = (e) => {
let value = parseInt(e.target.value);
right.value = value;
};
const paddingBottom = (e) => {
let value = parseInt(e.target.value);
bottom.value = value;
};
const paddingTLeft = (e) => {
let value = parseInt(e.target.value);
left.value = value;
};
const initSpread = (spreadInstance) => {
spread.value = spreadInstance;
spreadInstance.fromJSON(data);
sheet.value = spreadInstance.getActiveSheet();
};
</script>
<style scoped>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
input {
width: 100px;
}
.option-row {
font-size: 14px;
padding: 5px;
}
label {
display: block;
padding-bottom: 5px;
}
input {
padding: 4px 6px;
margin-bottom: 6px;
margin-right: 10px;
}
.paddingLabel {
width: 113px;
display: inline-block;
text-align: center;
}
.paddingLabel1 {
width: 50px;
/* display: inline-block; */
}
.paddingInput {
width: 84px;
}
.paddingInput1 {
width: 84px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="$DEMOROOT$/spread/source/data/ellipsis.js" type="text/javascript"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-io': 'npm:@mescius/spread-sheets-io/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

A simple JavaScript property showEllipsis controls this behavior, which is one of the many style settings that can be changed in the following demo.
Try selecting a cell and changing the properties on the right side to see how the cell style changes.
When the text longer than column width, if you want to show text ellipsis, not overflow.
You can create a style and set a rotation using textOrientation as follows:
Replace undisplayed text with '…'.
The following points affect whether the text shows ellipsis:
Indent
Vertical text
Alignment
Padding
Outline column
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
sheet: GC.Spread.Sheets.Worksheet;
top = 0;
left = 0;
right = 0;
bottom = 0;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
hAlingLeft () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.hAlign = 0;
this.sheet.setStyle(acRow, acCol, style);
}
hAlingCenter () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.hAlign = 1;
this.sheet.setStyle(acRow, acCol, style);
}
hAlingRight () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.hAlign = 2;
this.sheet.setStyle(acRow, acCol, style);
}
vAlingTop () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.vAlign = 0;
this.sheet.setStyle(acRow, acCol, style);
}
vAlingCenter () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.vAlign = 1;
this.sheet.setStyle(acRow, acCol, style);
}
vAlingBottom () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.vAlign = 2;
this.sheet.setStyle(acRow, acCol, style);
}
indentUp () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
if (!isNaN(parseInt(style.textIndent))) {
style.textIndent = (parseInt(style.textIndent) + 1) + "";
} else if (style.textIndent === undefined) {
style.textIndent = '1';
}
this.sheet.setStyle(acRow, acCol, style);
}
indentDwon () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
if (!isNaN(parseInt(style.textIndent)) && parseInt(style.textIndent) > 0) {
style.textIndent = (parseInt(style.textIndent) - 1) + "";
}
this.sheet.setStyle(acRow, acCol, style);
}
vertical () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.isVerticalText = true;
style.textOrientation = 0;
this.sheet.setStyle(acRow, acCol, style);
}
normal () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.isVerticalText = undefined;
style.textOrientation = undefined;
this.sheet.setStyle(acRow, acCol, style);
}
setPadding () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.cellPadding = this.top + ' ' + this.right + ' ' + this.bottom + ' '+ this.left;
this.sheet.setStyle(acRow, acCol, style);
}
showEllipsis () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.showEllipsis = true;
this.sheet.setStyle(acRow, acCol, style);
}
hideEllipsis () {
let acRow = this.sheet.getActiveRowIndex(), acCol = this.sheet.getActiveColumnIndex();
var style = this.sheet.getActualStyle(acRow, acCol);
style.showEllipsis = undefined;
this.sheet.setStyle(acRow, acCol, style);
}
paddingTop(e: any) {
let value = parseInt(e.target.value);
this.top = value;
}
paddingRight(e: any) {
let value = parseInt(e.target.value);
this.right = value;
}
paddingBottom(e: any) {
let value = parseInt(e.target.value);
this.bottom = value;
}
paddingTLeft(e: any) {
let value = parseInt(e.target.value);
this.left = value;
}
initSpread($event: any) {
let spread= $event.spread;
spread.fromJSON(data);
this.sheet = spread.getActiveSheet();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<script src="$DEMOROOT$/spread/source/data/ellipsis.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label id="Text Oriention" for="textOriention">Show Ellipsis:</label>
<input type="button" value="Show" id="ShowEllipsis" (click)="showEllipsis($event)" />
<input type="button" value="Remove" id="RemoveEllipsis" (click)="hideEllipsis($event)" />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">HAlign:</label>
<input type="button" value="Left" id="HAlign0" (click)="hAlingLeft($event)" />
<input type="button" value="Center" id="HAlign1" (click)="hAlingCenter($event)"/><br>
<input type="button" value="Right" id="HAlign2" (click)="hAlingRight($event)"/>
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">VAlign:</label>
<input type="button" value="Top" id="VAlign0" (click)="vAlingTop($event)"/>
<input type="button" value="Center" id="VAlign1" (click)="vAlingCenter($event)"/><br>
<input type="button" value="Bottom" id="VAlign2" (click)="vAlingBottom($event)"/>
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Indent:</label>
<input type="button" value="Increase" id="IndentUp" (click)="indentUp($event)"/>
<input type="button" value="Decrease" id="IndentDwon"(click)="indentDwon($event)" />
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Vertical Text:</label>
<input type="button" value="Vertical" id="Vertical" (click)="vertical($event)" />
<input type="button" value="Normal" id="Normal" (click)="normal($event)"/>
</div>
<div class="option-row">
<label id="Text Oriention" for="textOriention">Padding:</label>
<table>
<tr>
<td>
<label class="paddingLabel1">Top:</label><input [value]="top" class="paddingInput1" id="Top" type="number" (change)="paddingTop($event)"/><br>
</td>
<td>
<label class="paddingLabel1">Right:</label><input [value]="right" class="paddingInput1" id="Right" type="number" (change)="paddingRight($event)"/><br>
</td>
</tr>
<tr>
<td>
<label class="paddingLabel1">Bottom:</label><input [value]="bottom" class="paddingInput1" id="Bottom" type="number" (change)="paddingBottom($event)"/><br>
</td>
<td>
<label class="paddingLabel1">Left:</label><input [value]="left" class="paddingInput1" id="Left" type="number" (change)="paddingTLeft($event)"/>
</td>
</tr>
</table>
<input style="margin-left: 117px;" id="SetPadding" type="button" value="Set" (click)="setPadding($event)"/>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
input {
width: 100px;
}
.option-row {
font-size: 14px;
padding: 5px;
}
label {
display: block;
padding-bottom: 5px;
}
input {
padding: 4px 6px;
margin-bottom: 6px;
margin-right: 10px;
}
.paddingLabel {
width: 113px;
display: inline-block;
text-align: center;
}
.paddingLabel1 {
width: 50px;
/* display: inline-block; */
}
.paddingInput {
width: 84px;
}
.paddingInput1 {
width: 84px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);